%global provider	github
%global provider_tld	com
%global project		bmizerany
%global repo		assert
%global commit		e17e99893cb6509f428e1728281c2ad60a6b31e3

%global import_path	%{provider}.%{provider_tld}/%{project}/%{repo}
%global shortcommit	%(c=%{commit}; echo ${c:0:7})
%global debug_package	%{nil}

Name:		golang-%{provider}-%{project}-%{repo}
Version:	0
Release:	0.1.git%{shortcommit}%{?dist}
Summary:	Assertions for Go tests
License:	MIT
URL:		http://%{import_path}
Source0:	https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:	noarch

%description
%{summary}.

%package devel
BuildRequires:	golang >= 1.2.1-3
BuildRequires:	golang(github.com/kr/pretty)
Requires:	golang >= 1.2.1-3
Requires:	golang(github.com/kr/pretty)
Summary:	Assertions for Go tests
Provides:	golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}.

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav example %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%doc README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/example
%{gopath}/src/%{import_path}/example/*.go
%{gopath}/src/%{import_path}/*.go

%changelog
* Thu Sep 25 2014 Jan Chaloupka <jchaloup@redhat.com> - 0-0.1.gite17e998
- First package for Fedora



